"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNamespaces = exports.mapBuilders = void 0;
function mapBuilders(prefixes = {}) {
    return Object.fromEntries(Object.entries(prefixes).map(([prefix, ns]) => [
        prefix,
        typeof ns === 'string' ? ns : ns().value,
    ]));
}
exports.mapBuilders = mapBuilders;
function getNamespaces(prefixes, prefixMap) {
    return [...prefixes]
        .filter(prefix => prefix in prefixMap)
        .map(prefix => [prefix, prefixMap[prefix]]);
}
exports.getNamespaces = getNamespaces;
